using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace FormFilker
{
    public partial class FormMain : Form
    {
        Syncfusion.Windows.Forms.Tools.TabbedMDIManager tabMDIManager;
        public FormMain()
        {
            InitializeComponent();
            tabMDIManager = new Syncfusion.Windows.Forms.Tools.TabbedMDIManager();
            tabMDIManager.AttachToMdiContainer(this);
            tabMDIManager.TabStyle = typeof(Syncfusion.Windows.Forms.Tools.TabRenderer3D);
            tabMDIManager.UseIconsInTabs = false;

            //LeftDock
            FormChild left = new FormChild();
            dockingManager1.LockHostFormUpdate();
            left.TopLevel = false;
            left.FormBorderStyle = FormBorderStyle.None;
            dockingManager1.DockControl(left, this, Syncfusion.Windows.Forms.Tools.DockingStyle.Left, 275);
            dockingManager1.SetDockLabel(left, "Left");
            dockingManager1.SetCloseButtonVisibility(left, false);
            FormChild bottom = new FormChild();
            bottom.TopLevel = false;
            bottom.FormBorderStyle = FormBorderStyle.None;
            dockingManager1.DockControl(bottom, this, Syncfusion.Windows.Forms.Tools.DockingStyle.Bottom, 100);
            dockingManager1.SetDockLabel(bottom, "Bottom");
            dockingManager1.SetCloseButtonVisibility(bottom, false);
            dockingManager1.UnlockHostFormUpdate();
        }

        private void addToolStripMenuItem_Click(object sender, EventArgs e)
        {
            FormChild form = new FormChild();
            form.TopLevel = false;
            form.FormBorderStyle = FormBorderStyle.None;
            dockingManager1.LockHostFormUpdate();
            Size size = new Size(form.Width, form.Height);
            dockingManager1.DockControl(form, this, Syncfusion.Windows.Forms.Tools.DockingStyle.Fill, 0);
            dockingManager1.SetAsMDIChild(form, true);
            dockingManager1.SetControlSize(form, size);
            form.Height = size.Height;
            form.Width = size.Width;
            dockingManager1.UnlockHostFormUpdate();
        }
    }
}